org.bdgenomics.adam.instrumentation

# Timers

###
Related Doc: package instrumentation

#### object Timers extends Metrics

Contains Timers that are used to instrument ADAM.

Linear Supertypes
Metrics, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Timers
2. Metrics
3. Serializable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val BAMLoad: Timer

5. #### val BQSRInDriver: Timer

6. #### val BroadcastJoinAndGroupByRight: Timer

7. #### val BroadcastingKnownSnps: Timer

8. #### val BuildSequenceDictionary: Timer

9. #### val BuildingTrees: Timer

10. #### val CheckingForMask: Timer

11. #### val CollectingSnps: Timer

12. #### val ComputeCovariates: Timer

13. #### val ComputeQualityScore: Timer

14. #### val ComputingCycleCovariate: Timer

15. #### val ComputingDinucCovariate: Timer

16. #### val ComputingOriginalScores: Timer

17. #### val ConvertToSAM: Timer

18. #### val ConvertToSAMRecord: Timer

19. #### val CreateIndelRealignmentTargets: Timer

20. #### val CreateReferencePositionPair: Timer

21. #### val CreatingKnownSnpsTable: Timer

22. #### val CreatingRecalibrationTable: Timer

23. #### val FinalizingRealignments: Timer

24. #### val FindTargets: Timer

25. #### val FullOuterShuffleJoin: Timer

26. #### val GetExtraValues: Timer

27. #### val GetReferenceFromFile: Timer

28. #### val GetReferenceFromReads: Timer

29. #### val GrowingTrees: Timer

30. #### val InnerBroadcastJoin: Timer

31. #### val InnerShuffleJoin: Timer

32. #### val InvertingRecalibrationTable: Timer

33. #### val JoinTargets: Timer

34. #### val LeftOuterShuffleJoin: Timer

35. #### val LoadAlignmentRecords: Timer

36. #### val LoadFeatures: Timer

37. #### val LoadFragments: Timer

38. #### val MapTargets: Timer

39. #### val MarkDuplicatesInDriver: Timer

40. #### val MarkReads: Timer

41. #### val ObservationAccumulatorComb: Timer

42. #### val ObservationAccumulatorSeq: Timer

43. #### val ObservingRead: Timer

44. #### val ParquetLoad: Timer

45. #### val PerformDuplicateMarking: Timer

46. #### val QueryingRecalibrationTable: Timer

47. #### val ReadCovariates: Timer

48. #### val ReadResidues: Timer

49. #### val RealignIndelsInDriver: Timer

50. #### val RealignTargetGroup: Timer

51. #### val RecalibrateRead: Timer

52. #### val RightOuterBroadcastJoin: Timer

53. #### val RightOuterBroadcastJoinAndGroupByRight: Timer

54. #### val RightOuterShuffleJoin: Timer

55. #### val RightOuterShuffleJoinAndGroupByLeft: Timer

56. #### val RunningMapSideJoin: Timer

57. #### val SAMSave: Timer

58. #### val SaveAsADAM: Timer

59. #### val ScoreAndMarkReads: Timer

60. #### val ShuffleJoinAndGroupByLeft: Timer

61. #### val SortByIndex: Timer

62. #### val SortReads: Timer

63. #### val SortTargets: Timer

64. #### val SortingRightSide: Timer

65. #### val SweepReadOverReferenceForQuality: Timer

66. #### val SweepReadsOverConsensus: Timer

67. #### val TreeJoin: Timer

68. #### val TrimCigar: Timer

69. #### val TrimLowQualityInDriver: Timer

70. #### val TrimMDTag: Timer

71. #### val TrimRead: Timer

72. #### val TrimReadsInDriver: Timer

73. #### val WriteADAMRecord: Timer

74. #### val WriteBAMRecord: Timer

75. #### val WriteCRAMRecord: Timer

76. #### val WriteSAMRecord: Timer

77. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

78. #### val clock: Clock

    Definition Classes
      Metrics

79. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

80. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

81. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

82. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

83. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

84. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

85. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

86. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

87. #### final def notify(): Unit

    Definition Classes
      AnyRef

88. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

89. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

90. #### def timer(name: String): Timer

    Definition Classes
      Metrics

91. #### def toString(): String

    Definition Classes
      AnyRef → Any

92. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

93. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

94. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Metrics

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped